compact1, compact2, compact3
java.nio.file.attribute

## Interface FileAttributeView

- All Superinterfaces:
    AttributeView
  All Known Subinterfaces:
    AclFileAttributeView, BasicFileAttributeView, DosFileAttributeView, FileOwnerAttributeView, PosixFileAttributeView, UserDefinedFileAttributeView

      public interface FileAttributeView
      extends AttributeView

  An attribute view that is a read-only or updatable view of non-opaque values associated with a file in a filesystem. This interface is extended or implemented by specific file attribute views that define methods to read and/or update the attributes of a file.
  Since:
    1.7
  See Also:
    `Files.getFileAttributeView(Path,Class,java.nio.file.LinkOption[])`

- - ### Method Summary

    - ### Methods inherited from interface java.nio.file.attribute.AttributeView

      `name`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.